Error compiling PHP on CentOS x64

by lifeLinux on April 19, 2011

configure: error: xml2-config not found. Please check your libxml2 installation.

yum install libxml2-devel.x86_64

configure: error: Cannot find OpenSSL’s

yum install openssl-devel.x86_64


configure: error: Could not find pcre.h in /usr/local

yum install pcre-devel.x86_64

configure: error: Could not find pcre.h in /usr/local

"--with-pcre-regex=/usr/include" \

configure: error: Could not find libpcre.(a|so) in /usr/include

"--with-pcre-regex=/usr" \

configure: error: Please reinstall the libcurl distribution -
easy.h should be in /include/curl/

yum install curl-devel.x86_64

configure: error: libjpeg.(a|so) not found.

yum install libjpeg-devel.x86_64

configure: error: libpng.(a|so) not found.

yum install libpng-devel.x86_64

configure: error: freetype.h not found.

yum install freetype-devel.x86_64

configure: error: Please reinstall the iconv library.

"--with-iconv" \

configure: error: mcrypt.h not found. Please reinstall libmcrypt.

yum install libmcrypt.x86_64 libmcrypt-devel.x86_64

configure: error: Please reinstall libmhash – I cannot find mhash.h

yum install mhash.x86_64 mhash-devel.x86_64

Note that the MySQL client library is not bundled anymore!

yum install php-mysql.x86_64 mysql-devel.x86_64

configure: error: Please reinstall the BZip2 distribution

yum install bzip2-devel.x86_64

configure: error: utf8_mime2text() has new signature, but U8T_CANONICAL is missing. This should not happen. Check config.log for additional information.
DISABLE IMAP
configure: error: Cannot find pspell

yum install aspell-devel.x86_64

configure: error: Cannot find libtidy

yum install libtidy.x86_64 libtidy-devel.x86_64

error: xslt-config not found. Please reinstall the libxslt >= 1.1.0 distribution

yum install libxslt.x86_64 libxslt-devel.x86_64

collect2: ld returned 1 exit status

yum install glibc-utils.x86_64 libtool-ltdl-devel.x86_64

Step by step to guide PHP Compile

Step 1: Update & Install Development Tools & Libraries

yum update
yum group install "Development Tools"
yum group install "Development Libraries"

Step 2: Run the bellow bash script

#!/bin/sh
"./configure" \
"--prefix=/usr/local/php5" \
"--enable-force-cgi-redirect" \
"--enable-fastcgi" \
"--with-bz2" \
"--with-config-file-path=/usr/local/etc" \
"--with-config-file-scan-dir=/usr/local/etc/php.d" \
"--with-curl=/usr/local/lib" \
"--with-gd" \
"--with-gettext" \
"--with-jpeg-dir=/usr/local/lib" \
"--with-freetype-dir=/usr/local/lib" \
"--with-kerberos" \
"--with-mcrypt" \
"--with-mhash" \
"--with-mime-magic" \
"--with-mysql" \
"--with-mysqli" \
"--with-pcre-regex=/usr" \
"--with-pdo-mysql=shared" \
"--with-pdo-sqlite=shared" \
"--with-pear=/usr/local/lib/php" \
"--with-png-dir=/usr/local/lib" \
"--with-pspell" \
"--with-sqlite=shared" \
"--with-tidy" \
"--with-ttf" \
"--with-xmlrpc" \
"--with-xsl" \
"--with-zlib" \
"--with-zlib-dir=/usr/local/lib" \
"--with-openssl" \
"--with-iconv" \
"--with-libdir=lib64" \
"--enable-bcmath" \
"--enable-calendar" \
"--enable-exif" \
"--enable-ftp" \
"--enable-gd-native-ttf" \
"--enable-libxml" \
"--enable-magic-quotes" \
"--enable-soap" \
"--enable-sockets" \
"--enable-mbstring" \
"--enable-zip" \
"--enable-wddx"

{ 2 trackbacks }

How To Install Nginx And PHP (PHP-FPM) On CentOS 6
September 15, 2011 at 3:17 pm
How To Install Lighttpd And PHP (PHP-FPM) On CentOS 6
April 2, 2012 at 2:29 pm

{ 13 comments… read them below or add one }

Julio del Aguila January 21, 2012 at 7:34 pm

In this error:
configure: error: Please reinstall the libcurl distribution -
easy.h should be in /include/curl/

Install : yum install libcurl-devel.x86_64
not: yum install curl-devel.x86_64

Reply

Jason June 28, 2012 at 5:13 am

thanks!!

Reply

MagentoEye March 7, 2012 at 7:05 am

configure: error: mcrypt.h not found. Please reinstall libmcrypt.

# Use following step resolved the error. on centos6.2.x64

# download libmcrypt-2.5.8.tar.gz
cd /usr/local/src
tar zxvf libmcrypt-2.5.8.tar.gz
cd libmcrypt-2.5.8
./configure
make
make install
ln -s /usr/local/lib/libmcrypt.so.4 /lib64/libmcrypt.so.4

Reply

Siridivi April 6, 2012 at 5:35 pm

With these build options a libphp5.so is not created and so Apache cannot use PHP.
On my CentOS 5.8 build I had to add the following configuration line to get that file created.

./configure –with-apxs2=/usr/sbin/apxs

Reply

sreenadh April 22, 2012 at 2:59 pm

configure: error: snmp.h not found. Check your SNMP installation.

yum install net-snmp-devel

Reply

Jason June 28, 2012 at 5:09 am

Great article.
For those of you that want a quick fix to all the problems, try running this:

yum install glibc-utils.x86_64 libtool-ltdl-devel.x86_64 libxslt.x86_64 libxslt-devel.x86_64 libtidy.x86_64 libtidy-devel.x86_64 aspell-devel.x86_64 bzip2-devel.x86_64 php-mysql.x86_64 mysql-devel.x86_64 mhash.x86_64 mhash-devel.x86_64 libmcrypt.x86_64 libmcrypt-devel.x86_64 freetype-devel.x86_64 libpng-devel.x86_64 libjpeg-devel.x86_64 curl-devel.x86_64 openssl-devel.x86_64 libxml2-devel.x86_64

Reply

Jason June 28, 2012 at 5:14 am

Updated…

yum install glibc-utils.x86_64 libtool-ltdl-devel.x86_64 libxslt.x86_64 libxslt-devel.x86_64 libtidy.x86_64 libtidy-devel.x86_64 aspell-devel.x86_64 bzip2-devel.x86_64 php-mysql.x86_64 mysql-devel.x86_64 mhash.x86_64 mhash-devel.x86_64 libmcrypt.x86_64 libmcrypt-devel.x86_64 freetype-devel.x86_64 libpng-devel.x86_64 libjpeg-devel.x86_64 curl-devel.x86_64 openssl-devel.x86_64 libxml2-devel.x86_64 net-snmp-devel libcurl-devel.x86_64

Reply

Jason June 28, 2012 at 5:16 am

• gdbm
If you get this error when using “–with-gdbm”:
configure: error: DBA: Could not find necessary header file(s).
then you are probably missing the gdbm-devel rpm package.

Reply

Jason June 28, 2012 at 5:20 am

checking for bind_textdomain_codeset in -lc… yes
checking for GNU MP support… yes
configure: error: Unable to locate gmp.h

Fix:
yum install gmp-devel

Reply

Jason June 28, 2012 at 5:21 am

checking for png_write_image in -lpng… yes
configure: error: libXpm.(a|so) not found.

Fix:
yum install libXpm-devel

Reply

Jason June 28, 2012 at 5:21 am

checking for curl_multi_strerror in -lcurl… yes
checking for QDBM support… no
checking for GDBM support… no
checking for NDBM support… no
configure: error: DBA: Could not find necessary header file(s).

Fix:
yum install db4-devel

Reply

VPN February 6, 2013 at 8:21 am

I am getting this error

No package libmcrypt.x86_64 available.
No package libmcrypt-devel.x86_64 available.

Is there any other option?

Reply

Nikolas May 30, 2014 at 1:40 pm

Error: configure: error: Cannot find libpq-fe.h. Please specify correct PostgreSQL installation path

Solution: yum install postgresql-devel

Reply

Leave a Comment

Previous post:

Next post: